Name:          xdesktopwaves
Version:       1.3
Release:       11%{?dist}

Summary:       Simulation of water waves on the X Window System desktop
License:       GPLv2+
Group:         Amusements/Graphics
URL:           http://xdesktopwaves.sf.net/
Source:        http://downloads.sourceforge.net/xdesktopwaves/xdesktopwaves-1.3.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libX11-devel, desktop-file-utils, libXext-devel

%description
xdesktopwaves is a cellular automata setting the background of your X
Window System desktop under water. Windows and mouse are like ships on
the sea. Each movement of these ends up in moving water waves. You can
even have rain and/or storm stirring up the water.

%prep
%setup -q
%{__sed} -i -e "s,-s,," Makefile

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS" LFLAGS="-L/usr/%{_lib}" %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%{__mkdir_p} $RPM_BUILD_ROOT{%{_datadir}/applications,%{_datadir}/pixmaps}
%{__make} install BINDIR=$RPM_BUILD_ROOT%{_bindir} MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1
%{__cp} -p %{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=xdesktopwaves
Type=Application
Comment=Simulation of water waves on the X Window System desktop
Exec=xdesktopwaves
Icon=xdesktopwaves.xpm
Terminal=false
EOF

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications           \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Graphics                              \
  %{name}.desktop


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3-10
- Autorebuild for GCC 4.3

* Thu Oct 11 2007 Adrian Reber <adrian@lisas.de> - 1.3-9
- rebuilt for BuildID
- updated license tag
- fixed sourceforge URL

* Wed Apr 19 2006 Adrian Reber <adrian@lisas.de> - 1.3-8
- rebuilt

* Wed Apr 19 2006 Adrian Reber <adrian@lisas.de> - 1.3-7
- fixed BR

* Tue Apr 11 2006 Adrian Reber <adrian@lisas.de> - 1.3-6
- trying to fix build on x86_64

* Tue Apr 11 2006 Adrian Reber <adrian@lisas.de> - 1.3-5
- rebuilt for modular X

* Tue May 10 2005 Adrian Reber <adrian@lisas.de> - 1.3-4
- remove stripping from Makefile so that the
  debuginfo subpackage gets build

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb 14 2005 Adrian Reber <adrian@lisas.de> - 1.3-1
- updated to 1.3

* Wed Jan  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2-1
- Make with proper LFLAGS to support /usr/X11R6/lib64 location
  (fix confirmed as necessary via Matthias Saou's package).

* Tue Dec 07 2004 Adrian Reber <adrian@lisas.de> - 0:1.2-0.fdr.1
- updated to 1.2

* Mon Nov 22 2004 Adrian Reber <adrian@lisas.de> - 0:1.0-0.fdr.1
- initial package
